## org.exist.xqj
Class XQExpression

    java.lang.Object
      org.exist.xqj.XQExpression

All Implemented Interfaces:
  javax.xml.xquery.XQDynamicContext, javax.xml.xquery.XQExpression

public class XQExpression
extends java.lang.Object
implements javax.xml.xquery.XQExpression

Author:
  Adam Retter <adam.retter@devon.gov.uk>

Constructor Summary
`XQExpression()`
`XQExpression(DBBroker broker)`

Method Summary
`void` `bindAtomicValue(javax.xml.namespace.QName varname, java.lang.String value, javax.xml.xquery.XQItemType type)`
`void` `bindBoolean(javax.xml.namespace.QName varname, boolean value, javax.xml.xquery.XQItemType type)`
`void` `bindByte(javax.xml.namespace.QName varName, byte value, javax.xml.xquery.XQItemType type)`
`void` `bindContextItem(javax.xml.xquery.XQItem contextitem)`
`void` `bindDocument(javax.xml.namespace.QName varname, org.xml.sax.InputSource source)`
`void` `bindDouble(javax.xml.namespace.QName varName, double value, javax.xml.xquery.XQItemType type)`
`void` `bindFloat(javax.xml.namespace.QName varName, float value, javax.xml.xquery.XQItemType type)`
`void` `bindInt(javax.xml.namespace.QName varName, int value, javax.xml.xquery.XQItemType type)`
`void` `bindItem(javax.xml.namespace.QName varName, javax.xml.xquery.XQItem value)`
`void` `bindLong(javax.xml.namespace.QName varName, long value, javax.xml.xquery.XQItemType type)`
`void` `bindNode(javax.xml.namespace.QName varName, org.w3c.dom.Node value, javax.xml.xquery.XQItemType type)`
`void` `bindObject(javax.xml.namespace.QName varName, java.lang.Object value, javax.xml.xquery.XQItemType type)`
`void` `bindSequence(javax.xml.namespace.QName varName, javax.xml.xquery.XQSequence value)`
`void` `bindShort(javax.xml.namespace.QName varName, short value, javax.xml.xquery.XQItemType type)`
`void` `cancel()`
`void` `clearWarnings()`
`void` `close()`
`void` `executeCommand(java.io.Reader command)`
`void` `executeCommand(java.lang.String command)`
`javax.xml.xquery.XQResultSequence` `executeQuery(java.io.InputStream query)`
`javax.xml.xquery.XQResultSequence` `executeQuery(java.io.Reader query)`
`javax.xml.xquery.XQResultSequence` `executeQuery(java.lang.String query)`
`java.util.TimeZone` `getImplicitTimeZone()`
`int` `getQueryLanguageTypeAndVersion()`
`int` `getQueryTimeout()`
`javax.xml.xquery.XQWarning` `getWarnings()`
`boolean` `isClosed()`
`void` `setImplicitTimeZone(java.util.TimeZone implicitTimeZone)`
`void` `setQueryTimeout(int seconds)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XQExpression

    public XQExpression()

### XQExpression

    public XQExpression(DBBroker broker)

Method Detail

### cancel

    public void cancel()
                throws javax.xml.xquery.XQException

  Specified by:
    `cancel` in interface `javax.xml.xquery.XQExpression`
  Throws:
    `javax.xml.xquery.XQException`

### clearWarnings

    public void clearWarnings()
                       throws javax.xml.xquery.XQException

  Specified by:
    `clearWarnings` in interface `javax.xml.xquery.XQExpression`
  Throws:
    `javax.xml.xquery.XQException`

### close

    public void close()

  Specified by:
    `close` in interface `javax.xml.xquery.XQExpression`

### executeCommand

    public void executeCommand(java.io.Reader command)
                        throws javax.xml.xquery.XQException

  Specified by:
    `executeCommand` in interface `javax.xml.xquery.XQExpression`
  Throws:
    `javax.xml.xquery.XQException`

### executeCommand

    public void executeCommand(java.lang.String command)
                        throws javax.xml.xquery.XQException

  Specified by:
    `executeCommand` in interface `javax.xml.xquery.XQExpression`
  Throws:
    `javax.xml.xquery.XQException`

### executeQuery

    public javax.xml.xquery.XQResultSequence executeQuery(java.io.InputStream query)
                                                   throws javax.xml.xquery.XQException

  Specified by:
    `executeQuery` in interface `javax.xml.xquery.XQExpression`
  Throws:
    `javax.xml.xquery.XQException`

### executeQuery

    public javax.xml.xquery.XQResultSequence executeQuery(java.io.Reader query)
                                                   throws javax.xml.xquery.XQException

  Specified by:
    `executeQuery` in interface `javax.xml.xquery.XQExpression`
  Throws:
    `javax.xml.xquery.XQException`

### executeQuery

    public javax.xml.xquery.XQResultSequence executeQuery(java.lang.String query)
                                                   throws javax.xml.xquery.XQException

  Specified by:
    `executeQuery` in interface `javax.xml.xquery.XQExpression`
  Throws:
    `javax.xml.xquery.XQException`

### getQueryLanguageTypeAndVersion

    public int getQueryLanguageTypeAndVersion()
                                       throws javax.xml.xquery.XQException

  Specified by:
    `getQueryLanguageTypeAndVersion` in interface `javax.xml.xquery.XQExpression`
  Throws:
    `javax.xml.xquery.XQException`

### getQueryTimeout

    public int getQueryTimeout()
                        throws javax.xml.xquery.XQException

  Specified by:
    `getQueryTimeout` in interface `javax.xml.xquery.XQExpression`
  Throws:
    `javax.xml.xquery.XQException`

### getWarnings

    public javax.xml.xquery.XQWarning getWarnings()
                                           throws javax.xml.xquery.XQException

  Specified by:
    `getWarnings` in interface `javax.xml.xquery.XQExpression`
  Throws:
    `javax.xml.xquery.XQException`

### isClosed

    public boolean isClosed()

  Specified by:
    `isClosed` in interface `javax.xml.xquery.XQExpression`

### setQueryTimeout

    public void setQueryTimeout(int seconds)
                         throws javax.xml.xquery.XQException

  Specified by:
    `setQueryTimeout` in interface `javax.xml.xquery.XQExpression`
  Throws:
    `javax.xml.xquery.XQException`

### bindAtomicValue

    public void bindAtomicValue(javax.xml.namespace.QName varname,
                                java.lang.String value,
                                javax.xml.xquery.XQItemType type)
                         throws javax.xml.xquery.XQException

  Specified by:
    `bindAtomicValue` in interface `javax.xml.xquery.XQDynamicContext`
  Throws:
    `javax.xml.xquery.XQException`

### bindBoolean

    public void bindBoolean(javax.xml.namespace.QName varname,
                            boolean value,
                            javax.xml.xquery.XQItemType type)
                     throws javax.xml.xquery.XQException

  Specified by:
    `bindBoolean` in interface `javax.xml.xquery.XQDynamicContext`
  Throws:
    `javax.xml.xquery.XQException`

### bindByte

    public void bindByte(javax.xml.namespace.QName varName,
                         byte value,
                         javax.xml.xquery.XQItemType type)
                  throws javax.xml.xquery.XQException

  Specified by:
    `bindByte` in interface `javax.xml.xquery.XQDynamicContext`
  Throws:
    `javax.xml.xquery.XQException`

### bindContextItem

    public void bindContextItem(javax.xml.xquery.XQItem contextitem)
                         throws javax.xml.xquery.XQException

  Specified by:
    `bindContextItem` in interface `javax.xml.xquery.XQDynamicContext`
  Throws:
    `javax.xml.xquery.XQException`

### bindDocument

    public void bindDocument(javax.xml.namespace.QName varname,
                             org.xml.sax.InputSource source)
                      throws javax.xml.xquery.XQException

  Specified by:
    `bindDocument` in interface `javax.xml.xquery.XQDynamicContext`
  Throws:
    `javax.xml.xquery.XQException`

### bindDouble

    public void bindDouble(javax.xml.namespace.QName varName,
                           double value,
                           javax.xml.xquery.XQItemType type)
                    throws javax.xml.xquery.XQException

  Specified by:
    `bindDouble` in interface `javax.xml.xquery.XQDynamicContext`
  Throws:
    `javax.xml.xquery.XQException`

### bindFloat

    public void bindFloat(javax.xml.namespace.QName varName,
                          float value,
                          javax.xml.xquery.XQItemType type)
                   throws javax.xml.xquery.XQException

  Specified by:
    `bindFloat` in interface `javax.xml.xquery.XQDynamicContext`
  Throws:
    `javax.xml.xquery.XQException`

### bindInt

    public void bindInt(javax.xml.namespace.QName varName,
                        int value,
                        javax.xml.xquery.XQItemType type)
                 throws javax.xml.xquery.XQException

  Specified by:
    `bindInt` in interface `javax.xml.xquery.XQDynamicContext`
  Throws:
    `javax.xml.xquery.XQException`

### bindItem

    public void bindItem(javax.xml.namespace.QName varName,
                         javax.xml.xquery.XQItem value)
                  throws javax.xml.xquery.XQException

  Specified by:
    `bindItem` in interface `javax.xml.xquery.XQDynamicContext`
  Throws:
    `javax.xml.xquery.XQException`

### bindLong

    public void bindLong(javax.xml.namespace.QName varName,
                         long value,
                         javax.xml.xquery.XQItemType type)
                  throws javax.xml.xquery.XQException

  Specified by:
    `bindLong` in interface `javax.xml.xquery.XQDynamicContext`
  Throws:
    `javax.xml.xquery.XQException`

### bindNode

    public void bindNode(javax.xml.namespace.QName varName,
                         org.w3c.dom.Node value,
                         javax.xml.xquery.XQItemType type)
                  throws javax.xml.xquery.XQException

  Specified by:
    `bindNode` in interface `javax.xml.xquery.XQDynamicContext`
  Throws:
    `javax.xml.xquery.XQException`

### bindObject

    public void bindObject(javax.xml.namespace.QName varName,
                           java.lang.Object value,
                           javax.xml.xquery.XQItemType type)
                    throws javax.xml.xquery.XQException

  Specified by:
    `bindObject` in interface `javax.xml.xquery.XQDynamicContext`
  Throws:
    `javax.xml.xquery.XQException`

### bindSequence

    public void bindSequence(javax.xml.namespace.QName varName,
                             javax.xml.xquery.XQSequence value)
                      throws javax.xml.xquery.XQException

  Specified by:
    `bindSequence` in interface `javax.xml.xquery.XQDynamicContext`
  Throws:
    `javax.xml.xquery.XQException`

### bindShort

    public void bindShort(javax.xml.namespace.QName varName,
                          short value,
                          javax.xml.xquery.XQItemType type)
                   throws javax.xml.xquery.XQException

  Specified by:
    `bindShort` in interface `javax.xml.xquery.XQDynamicContext`
  Throws:
    `javax.xml.xquery.XQException`

### getImplicitTimeZone

    public java.util.TimeZone getImplicitTimeZone()
                                           throws javax.xml.xquery.XQException

  Specified by:
    `getImplicitTimeZone` in interface `javax.xml.xquery.XQDynamicContext`
  Throws:
    `javax.xml.xquery.XQException`

### setImplicitTimeZone

    public void setImplicitTimeZone(java.util.TimeZone implicitTimeZone)
                             throws javax.xml.xquery.XQException

  Specified by:
    `setImplicitTimeZone` in interface `javax.xml.xquery.XQDynamicContext`
  Throws:
    `javax.xml.xquery.XQException`

Copyright (C) Wolfgang Meier. All rights reserved.